Nautilus-3.36.3

Introduction à Nautilus

Le paquet Nautilus contient le gestionnaire de fichiers de GNOME.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de Nautilus

Requises

bubblewrap-0.4.1, gexiv2-0.12.1, gnome-autoar-0.2.4, gnome-desktop-3.36.4, libnotify-0.7.9, libseccomp-2.5.0 et tracker-miners-2.3.3

Recommandées

Facultatives

GTK-Doc-1.32

Recommandées (exécution)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/nautilus

Installation de Nautilus

Installez Nautilus en lançant les commandes suivantes :

mkdir build &&
cd    build &&

meson --prefix=/usr      \
      --sysconfdir=/etc  \
      -Dselinux=false    \
      -Dpackagekit=false \
      .. &&

ninja

Pour tester les résultats, lancez : ninja test. Les tests doivent être lancés dans un environnement graphique.

Maintenant, en tant qu'utilisateur root :

ninja install
[Note]

Note

Si vous installé le paquet dans votre système en utilisant une méthode « DESTDIR », /usr/share/glib-2.0/schemas/gschemas.compiled n'a pas été mis à jour/créé. Créez (ou mettez à jour) le fichier en utilisant la commande suivante en tant qu'utilisateur root :

glib-compile-schemas /usr/share/glib-2.0/schemas

Explication des commandes

-Dselinux=false : Ce paramètre désactive l'utilisation de selinux qui n'est pas supporté par BLFS.

-Dpackagekit=false : Ce paramètre désactive l'utilisation de PackageKit qui n'est pas utilisable dans BLFS.

Contenu

Programmes installés: nautilus et nautilus-autorun-software
Bibliothèque installée: libnautilus-extension.so
Répertoires installés: /usr/{include,lib}/nautilus, /usr/share/gnome-shell/search-providers et /usr/share/gtk-doc/html/libnautilus-extension (facultatif)

Descriptions courtes

nautilus

est le gestionnaire de fichiers de GNOME.

libnautilus-extension.so

fournit les fonctions requises par les extensions du gestionnaire de fichiers.

Last updated on 2020-05-30 06:05:46 +0000